
       function add_load() {
        $('#rencanasubmit').attr("disabled", "disabled");
        var perawat_ppa = $('#perawat_ppa').val();
        var register = $('#register').val();
        var nama = $('#inputnama').val();
        // var uraian = $('#uraian').val();
        var id_pasien = $('#id_pasien').val();
        var tindakan = $('#tindakan').val();

        if (perawat_ppa != "" && tindakan != "") {
              $.ajax({

                    url: "model/actrencana.php",
                    type: "POST",
                    data: {
                          id_pasien: id_pasien,
                          register: register,
                          nama: nama,
                          perawat_ppa: perawat_ppa,
                          tindakan: tindakan,

                    },
                    cache: false,
                    success: function(rencanaResult) {
                          var rencanaResult = JSON.parse(rencanaResult);
                          if (rencanaResult.statusCode == 200) {
                                $('#rencanasubmit').removeAttr("disabled");
                                $('#rencanafrm').find('input:text').val('');
                                $("#success").show();
                                $('#perawat_ppa').html(perawat_ppa);
                                alert('berhasil');
                            } else if (rencanaResult.statusCode == 201) {
                                alert('input gagal. Silahkan diulang kembali!');
                                // $('#success').html('input data gagal!');
                                
                            }
                            
                        }
                    })
                } else {
                    alert('Nama perawat dan uraian tindakan kosong');
                   
                }
                window.location.reload();
  };


  function del_rencana() {
      
      var id_tindakan = $(this).attr("id");
   

      $(id_tindakan).attr("disabled", "disabled");
      
    
    // if (perawat_ppa != "" && tindakan != "") {}
        $.ajax({

                url: "model/actdelrencana.php",
                type: "POST",
                data: {
                      id_tindakan: id_tindakan,
                },
                cache: false,
                success: function(delrencanaResult) {
                    var delrencanaResult = JSON.parse(delrencanaResult);
                    if (delrencanaResult.statusCode == 200) {
                   console.log(id_tindakan);
                        // $('#rencanasubmit').removeAttr("disabled");
                            // $('#rencanafrm').find('input:text').val('');
                            // $("#success").show();
                            // $('#perawat_ppa').html(perawat_ppa);
                        } else if (delrencanaResult.statusCode == 201) {
                            alert('input gagal. Silahkan diulang kembali!');
                            // $('#success').html('input data gagal!');
                            
                        }
                        
                    }
                })
            // } else {
                // alert('Nama perawat dan uraian tindakan kosong');
               
            // window.location.reload();
};
$(document).ready(function() {

$(document).on('click', '.btn-delete', function(){
    var id = $(this).attr("id");
    if(confirm("Are you sure you want to remove this?"))
   
    {
     $.ajax({
      url:"model/actdelrencana.php",
      method:"POST",
      data:{
            id:id
      },
      success:function(data){
       $('#alert_message').html('<div class="alert alert-success">'+data+'</div>');
       location.reload();
      }
     });
     setInterval(function(){
      $('#alert_message').html('');
     }, 5000);
    }
   });

  });

    function lines() {

        var lines =
              "Welcome Food\nPengkajian awal keperawatan\nPemasangan Gelang Identitas\nKIE alur perawatan di ugd\nPlebhotomi darah Vena & Arteri\nKirim Sampel Laboratorium\nCXR ";
        document.getElementById('tindakan').innerHTML = lines
        add_load()

  }

  function antigen() {
        var antigen =
              "Pemeriksaan Swab Antigen";
        document.getElementById('tindakan').innerHTML = antigen
        add_load()
  }

  function DoAction() {
        var batuk = document.getElementById('uraian').value
        document.getElementById('tindakan').innerHTML = batuk
  }

  function neonatus() {
        var neonatus = "Suction\nMemandikan bayi\nPerawatan tali Pusat\nMengukur BB,TB dan Apgar Score\nPasang Plug\nPasang Oksigen 1 lpm\nMengukut Tanda-Tanda Vital\nInjeksi Vit K 0,1 dan Salep Mata Gentamicin\nPemasangan gelang Bayi";
        document.getElementById('tindakan').innerHTML = neonatus
        add_load()
  }

  function partus() {

        var partus = "Pengkajian Maternal\nPeriksa Dalam(VT)\nNST\nUSG\nObservasi Pembukaan\nMenyiapkan gelang Bayi & Tali Pusat\nMenyiapkan Partus SET dan Hecting SET\nHecting perinium\nMenyeka Pasien PostPartum\nInjeksi Oxytocin 10 unit\nMonitor vital sign post partum\nPemasangan gelang Ibu Bayi";
        document.getElementById('tindakan').innerHTML = partus
        add_load()
  }

  function sc() {

        var sc = "Persiapan Darah BDRS\nPasang Kateter Urine\nPeriksa dalam(VT)\nNST dan USG-Menyiapkan Gelang bayi-IUD dan talipusat\nPengkajian Maternal\nMemberikan Oksigen NRBM 10 lpm";
        document.getElementById('tindakan').innerHTML = sc
        add_load()
  }